function[names, seqs, priors] = load_seqs(fasta_file, build_priors)

seq_array = fastaread(fasta_file);
num_chars = size(seq_array(1).Sequence, 2);
j = 1;
for i=1:size(seq_array, 2)
    int_array = nt2int(seq_array(i).Sequence);
    if size(int_array, 2) == num_chars
        names(j) = cellstr(seq_array(i).Header);
        seqs(j, :) = int_array;
        j = j + 1;
    else
        fprintf(1, 'could not load: %s (%d)\n', seq_array(i).Header, size(int_array, 2));
    end
end

if build_priors == 1
	priors = ones(size(seqs)) * (1.0 / size(seqs, 2));
else	
	priors = 0.0
end
